
virt-who configure - Feature #26321

"Hypervisor ID" Should not list "hwuuid" for libvirt, rhvm, xen and hyperv types.

03/12/2019 02:52 PM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Chris Roberts   

Category:    

Target version: foreman_virt_who_configure-0.5.22   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1686681 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman_v

irt_who_configure/pull/194

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1686681

Description of problem:

hypervisor_id="hwuuid" is only applicable to esx and rhevm, so no need to list hwuuid for other hypervisors when create

configuration by virt-who configure plugin.

Actual results:

uuid, hostname and hwuuid are listed for all hypervisors when create configuration.

Associated revisions

Revision d74b5d69 - 05/16/2024 03:46 PM - Chris Roberts

Fixes #26321 - Only allow hwuuid for VMware hypervisors

History

#1 - 04/16/2024 08:39 PM - Chris Roberts

- Target version set to foreman_virt_who_configure-0.5.22

#2 - 04/16/2024 08:39 PM - Chris Roberts

- Status changed from New to Assigned

#3 - 04/16/2024 08:40 PM - Chris Roberts

- Assignee changed from Marek Hulán to Chris Roberts

#4 - 05/01/2024 06:52 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman_virt_who_configure/pull/194 added

#5 - 05/16/2024 04:00 PM - Chris Roberts

- Status changed from Ready For Testing to Closed

Applied in changeset foreman_virt_who_configure|d74b5d69fb60be8972fee544f75ea3ee9d164137.
